# buttonctl

changes user definable buttons

Syntax

    buttonctl [-q] <type> <name> <operation> [parameter]

Description

Changes an existing user defined button.
<type> must be one of the button types used in the button command (and obviously has the same meaning).
<name> is the name of the button.
<operation> may be one of the constant strings "enable", "disable", "image", "text".
Operations "enable" and "disable" do not require the fourth [parameter] and have the obvious meaning.
Operation "image" requires the [parameter] to be a valid image_id and sets the button image.
Operation "text" requires the [parameter] (and in fact all the following ones) to be a string containing the button text label.
The <operation> constants may be abbreviated, even to the single letters 'e','d','i' and 't'.
The -q switch causes the command to be quiet about errors and warnings.

See also
button

Main index, Command index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004